#include <iostream>
#include <iomanip>
using namespace std;

int main()
{
    int n;
    cin>>n;
    int zarada[n];
    double maxporez[n];
    for(int i = 0; i < n; i++){
        cin>>zarada[i]>>maxporez[i];
    }
    for (int i = 0; i < n-1; i++)
        for (int j = 0; j < n-i-1; j++)
            if (maxporez[j] > maxporez[j+1]){
                double pom = maxporez[j];
                maxporez[j] = maxporez[j+1];
                maxporez[j+1] = pom;
                int pom2 = zarada[j];
                zarada[j] = zarada[j+1];
                zarada[j+1] = pom2;
            }

    double konzarada = 0;
    for(int i = 0; i < n; i++){
        double pom = 0;
        for(int j = n-1; j >= i; j--)
            pom += zarada[j]*maxporez[i]/100;
        if(pom > konzarada)
            konzarada = pom;
    }
    cout << std::fixed;
    cout << std::setprecision(4);
    cout<<konzarada;
    return 0;
}